> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet NFT Transfers

> Get the NFT transfers of a wallet.



## OpenAPI

````yaml /reference/api-json.json get /nft/transfers
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/transfers:
    get:
      tags:
        - NFT
      summary: Get Wallet NFT Transfers
      description: Get the NFT transfers of a wallet.
      operationId: NFTTransfersByWallet
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 11235
              - 11297108099
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 1313161554
              - 137
              - 14
              - 168587773
              - 1868
              - 1946
              - 2020
              - 25
              - 250
              - 2741
              - 30
              - 300
              - 31
              - 321
              - 322
              - 324
              - 32769
              - 33101
              - 33111
              - 33139
              - 360
              - 369
              - 37111
              - 4002
              - 4202
              - 42161
              - 421614
              - 42220
              - 42261
              - 42262
              - 43113
              - 43114
              - 480
              - 4801
              - 50
              - 51
              - 534351
              - 534352
              - 5371
              - 5373
              - 54211
              - 545
              - 56
              - 59141
              - 59144
              - 61
              - 7332
              - 747
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 88882
              - 88888
              - 97
              - 999999999
              - solana
              - solana-devnet
              - stellar
              - stellar-testnet
              - toncoin
            type: string
        - name: walletAddress
          required: true
          in: query
          description: The address of the wallet to query.
          schema:
            default: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            example: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            type: string
        - name: cursor
          required: false
          in: query
          description: Cursor from previous query to get next page of results.
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - Moralis
              - Tatum
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTTransfersByWalletResponse'
components:
  schemas:
    NFTTransfersByWalletResponse:
      type: object
      properties:
        transfers:
          type: array
          items:
            $ref: '#/components/schemas/WalletNFTTransferResponseItem'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - transfers
        - cursor
    WalletNFTTransferResponseItem:
      type: object
      properties:
        contractAddress:
          type: string
          example: '0x18a808dd312736fc75eb967fc61990af726f04e4'
        tokenId:
          type: string
          example: '18'
        amount:
          type: string
          example: '1'
        blockNumber:
          type: string
          example: '13062953'
        transactionHash:
          type: string
          example: '0xd89b54cb5aca6f501d43ee3363dcc892d31d1c185c9059c22d686ca0a1b93314'
        fromAddress:
          type: string
          example: '0x0000000000000000000000000000000000000000'
        toAddress:
          type: string
          example: '0x5c43b1ed97e52d009611d89b74fa829fe4ac56b1'
        contractType:
          type: string
          example: ERC721
        timestamp:
          type: string
          example: ''
        name:
          type: string
          example: BurnyBoy
        symbol:
          type: string
          example: BURN
      required:
        - contractAddress
        - tokenId
        - amount
        - blockNumber
        - transactionHash
        - fromAddress
        - toAddress
        - contractType
        - timestamp
        - name
        - symbol
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````